<?php
require_once "connect.php";


//Recebendo parametros do Form
$id       = $_POST['id'];
$ds_grupo	= trim($_POST['ds_grupo']);
$st_ativo	= 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['btn-edit'])) {
  $sql = "update erpc_usuarios_grupo set ds_grupo = '$ds_grupo',st_ativo  =  $st_ativo";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['btn-remove'])) {
	$sql = "update erpc_usuarios_grupo set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['btn-add'])) {
	$sql = "insert into erpc_usuarios_grupo ( id, ds_grupo, st_ativo) values ( '$id', '$ds_grupo', $st_ativo)";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_usuarios_grupo_list.php");
}
?>
